How to install a newer cloud-init in Centos 8.2 during post-script?

Issues related to applications and software problems and general support
Post Reply
justauser
Posts: 1
Joined: 2020/10/03 04:03:47

How to install a newer cloud-init in Centos 8.2 during post-script?

Post by justauser » 2020/10/03 04:14:59

Hi there,

I've got the following problem: currently packaged cloud-init in 8.2 has version 18.5.

This version has a bug that it's polling VPR metadata assuming it's available at the gateway.
Newer versions are more flexible and recognize if there is another IP available for that.
As result, cloud-init 18.5 always polls for the IP XXX.XXX.XXX.1 which is wrong in our setup.

A fix could be installing alternative cloud-init-version which is generally possible as I've tested using a Docker container:

Code: Select all

yum -y install epel-release
yum -y install cloud-init
But, in the actual setup I use KVM install and anaconda kickstart, so I think I have to use postscript. There, other problem appear.

* No console/log output works, only empty log file appears. Workaround: set idling period and use remote VNC console.
* System says, "there are no repositories in /etc/yum.repos.d, /etc/yum/repos.d, /etc/distro.repos.d"

How could I proceed from here?

Post Reply

Return to “CentOS 8 - General Support”